Subject: bug#36539: elec-pair.elc gets surreptitiously loaded (almost) unconditionally at start up.

From: Eli Zaretskii <[email-masked]>
Date: Sun, 07 Jul 2019 22:17:46 +0300

> Date: Sun, 7 Jul 2019 19:10:52 +0000
> From: Alan Mackenzie <[email-masked]>
> Cc: [email-masked]
> 
> That was my problem.  I didn't know about
> help-enable-completion-auto-load (which says it was new in 26.3).  I
> think I will disable this in my .emacs - it seems it will cause me more
> problems than it will help.  I've always used C-h f and C-h v to see an
> Elisp file's autoloads.  Thanks for the tip!.

This option allows you to _disable_ auto-loading as side effect of
Help commands.  Emacs 26.1 and 26.2 also auto-load them, but don't let
you disable that.  So whatever you were used to do with C-h f was
already working against you since Emacs 26.1; 26.3 lets you control
that.